
Redmine - Defect #2930

Files without Version aren't visible in the Activity page

2009-03-08 15:04 - Teddy L

Status: Closed Start date: 2009-03-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 0.8.3   

Resolution: Fixed Affected version: 0.8.1

Description

Files without Version are attached to the 'Project' container, so, they aren't linked to the 'files' event.

I think all projects should have an invisible default version to store this files. But for the moment i have modified the Attachement

model to merge 'Project' and 'Version' containers (see svn path).

Associated revisions

Revision 2569 - 2009-03-08 15:31 - Jean-Philippe Lang

Fixed: Files without Version aren't visible in the Activity page (#2930).

History

#1 - 2009-03-08 15:28 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.3

- Resolution set to Fixed

Committed in r2569, with tests.

Thanks.

#2 - 2009-04-05 13:47 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Committed in 0.8-stable in r2650.

Files

attachment.patch 1.07 KB 2009-03-08 Teddy L
